LibreOffice: DatabaseRanges Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
DatabaseRanges Service Referencepublished

represents a collection of database ranges in a spreadsheet document. More...

Inheritance diagram for DatabaseRanges:

## Exported Interfaces
interface | com::sun::star::sheet::XDatabaseRanges
| provides access to the database ranges and to insert and remove them.
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all database ranges.
interface | com::sun::star::container::XIndexAccess
| provides access to the database ranges in the collection via index.

## Additional Inherited Members
Public Member Functions inherited from XDatabaseRanges
void | addNewByName ([in] string aName, [in] com::sun::star::table::CellRangeAddress aRange)
| adds a new database range to the collection.
void | removeByName ([in] string aName)
| removes a database range from the collection.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

represents a collection of database ranges in a spreadsheet document.

See also
  com::sun::star::sheet::SpreadsheetDocument

Developers Guide
  Spreadsheet Documents - Database Operations

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all database ranges.

See also
  com::sun::star::sheet::DatabaseRangesEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the database ranges in the collection via index.

See also
  com::sun::star::sheet::DatabaseRange

## ◆ com::sun::star::sheet::XDatabaseRanges

interface com::sun::star::sheet::XDatabaseRanges

provides access to the database ranges and to insert and remove them.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DatabaseRanges.idl